<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

/**
 * Update a note.  If the note doesn't exist, creates a new one and saves it.
 */
try {
    $note = Note::loadNote($VARS['id']);
} catch (NoSuchNoteException $ex) {
    sendJsonResp($Strings->get("Note does not exist", false), "ERROR");
}

if (!$note->hasWriteAccess(getRequestUser())) {
    sendJsonResp($Strings->get("You don't have permission to edit this note.", false), "ERROR");
}

$note->deleteNote();

sendJsonResp($Strings->get("Note deleted", false), "OK", ["id" => $note->getID()]);
