<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

try {
    $note = Note::loadNote($VARS['id']);
} catch (NoSuchNoteException $ex) {
    sendJsonResp($Strings->get("Note does not exist", false), "ERROR");
}

if (!$note->hasWriteAccess(getRequestUser())) {
    sendJsonResp($Strings->get("You don't have permission to edit this note.", false), "ERROR");
}

$note->toggleChecklistItem($VARS['text']);
$note->saveNote();

sendJsonResp($Strings->get("Note saved", false), "OK", ["note" => $note->toArray()]);
